#version 430 core

layout(location = 0) in vec3 position;

out vec3 texCoords;

uniform mat4 viewMatrix;
uniform mat4 projMatrix;

void main() {
	texCoords = position;
	vec4 pos = projMatrix * viewMatrix * vec4(position, 1);
	gl_Position = pos.xyww;
}