#version 430 core
out vec4 FragColor;
  
in vec2 TexCoords;

layout(binding=0) uniform sampler2D colorTexture;
layout(binding=1) uniform sampler2D depthTexture;

void main()
{ 
	vec4 edge = texture(depthTexture, TexCoords);

	FragColor = mix(texture(colorTexture, TexCoords),vec4(vec3(0.0),1.0), edge);
	//FragColor=texture(colorTexture, TexCoords);
	//FragColor = edge;
}