#version 430 core

layout (location = 0) in vec3 aPos;
layout(location = 1) in vec3 normal;
layout(location = 2) in vec2 texCoord;

out vec2 TexCoords;

uniform mat4 projMatrix;
uniform mat4 viewMatrix;
uniform mat4 model;

void main()
{
    TexCoords = texCoord;
    gl_Position = projMatrix * viewMatrix * model * vec4(aPos, 1.0);
} 